#
# spec file for package kdevelop-pg-qt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf6_version 6.0.0
%define qt6_version 6.6.0

%bcond_without released
Name:           kdevelop-pg-qt
Version:        2.4.0
Release:        1.1
Summary:        Parser generator for Qt/KDE based applications
License:        LGPL-2.0-or-later
URL:            https://www.kdevelop.org
Source0:        https://download.kde.org/stable/kdevelop-pg-qt/%{version}/src/%{name}-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/kdevelop-pg-qt/%{version}/src/%{name}-%{version}.tar.xz.sig
Source2:        kdevelop-pg-qt.keyring
%endif
Source99:       kdevelop-pg-qt-rpmlintrc
BuildRequires:  bison
BuildRequires:  kf6-extra-cmake-modules >= %{kf6_version}
BuildRequires:  flex
BuildRequires:  cmake(Qt6Core) >= %{qt6_version}
BuildRequires:  cmake(Qt6Test) >= %{qt6_version}
Provides:       kdevelop5-pg-qt = %{version}
Obsoletes:      kdevelop5-pg-qt < %{version}
Conflicts:      kdevelop4-pg-qt

%description
KDevelop-PG-Qt is a parser generator written in readable source-code and
generating readable source-code. Its syntax was inspirated by AntLR. It
implements the visitor-pattern and uses the Qt library. That is why it is
ideal to be used in Qt/KDE-based applications like KDevelop.

%prep
%autosetup -p1

%build
%cmake_kf6

%kf6_build

%install
%kf6_install

%files
%license LICENSES/*
%{_includedir}/KDevelopPGQt/
%{_kf6_bindir}/kdev-pg-qt
%{_kf6_cmakedir}/KDevelop-PG-Qt/
%{_kf6_cmakedir}/KDevelopPGQt/

%changelog
* Wed Mar 12 2025 Christophe Marin <christophe@krop.fr>
- Update to 2.4.0
  * New CMake package name: "KDevelopPgQt",
    with backward-compat support for old name "KDevelop-PG-Qt"
  * installed CMake config file now provides imported targets:
    KDevelopPGQt::Utils - the headers-only library used by
    generated code
    KDevelopPGQt::kdev-pg-qt - the generator executable
  * Support for Qt5-compatible code generation dropped
  * Generated files now note the generator and its version
  * Fixed reproducible builds for another generated list of
    token checks
  * Removed "using namespace std" from installed headers-only
    library
  * Fixed generated debug code to require one less implicit
    from-ASCII cast
* Thu Jul 25 2024 Christophe Marin <christophe@krop.fr>
- Update to 2.3.0
  * code generation now also with projects based on Qt 6, next
    to Qt 5(.15)
  * tool's own implementation switched to use Qt6 instead of Qt5
* Sun Apr 21 2024 Christophe Marin <christophe@krop.fr>
- Init kdevelop-pg-qt. Replaces kdevelop5-pg-qt.
